# ExecOutput

interface ExecOutput

Provides lazy access to the output of the external process.

#### Since

7.5

## Types

StandardStreamContent
Link copied to clipboard
interface StandardStreamContent
A handle to access content of the process' standard stream (the standard output of the standard error output).

## Functions

getResult
Link copied to clipboard
abstract fun getResult(): Provider<ExecResult>
Returns a provider of the execution result.
getStandardError
Link copied to clipboard
abstract fun getStandardError(): ExecOutput.StandardStreamContent
Gets a handle to the content of the process' standard error output.
getStandardOutput
Link copied to clipboard
abstract fun getStandardOutput(): ExecOutput.StandardStreamContent
Gets a handle to the content of the process' standard output.